/*border-radius*/
.travel-product-card-block .product-slider-nav .slick-slide img {
    border-radius: 1rem !important;
}

.travel-article-list-hl-block .overlay-primary,
.image-text-mosaic-block .image-content-item,
.travel-product-card-block .reservation-calendar-container,
.travel-cabin-list-highlights-block .image-wrapper,
.travel-product-card-block .card-layout .product-item {
    border-radius: 1rem;
}

.travel-image-carousel-3-items-block img {
    border-radius: 2rem;
}

.image-text-mosaic-block .image-content-item:nth-child(even) img {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.image-text-mosaic-block .image-content-item:nth-child(odd) img {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.travel-product-card-block .card-layout .product-item img {
    border-top-right-radius: 1rem;
    border-top-left-radius: 1rem;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.travel-hero-image-search-block .main-container img,
.travel-main-slider img,
.travel-subpage-hero-img-block img,
.travel-product-card-block .hero-container img,
.travel-article-single-block .hero-container img {
    border-radius: 0;
}

/*.travel-hero-image-search-block*/
.travel-hero-image-search-block .product-search-amount {
    margin: 0 8px;
    padding: 0.4rem 0.85rem !important;
}

.travel-hero-image-search-block .main-container {
    position: relative;
}

/*travel-product-card-block*/
.travel-product-card-block .hero-container {
    min-height: 700px !important;
}

.travel-product-card-block .product-slider-nav .slick-slide img {
    padding: 2px;
}

.travel-product-card-block .product-badge-wrapper .badge-wrapper {
    display: none;
}

.travel-product-card-block .hero-container {
    text-shadow: 0 0 9px rgba(0,0,0,.45);
}

.travel-product-card-block .description blockquote {
    color: var(--white);
    background-color: var(--primary);
    border-color: var(--primary);
    border-radius: 1rem;
    padding: 30px 30px 15px 30px;
    border-left: none;
    font-style: normal;
}

.travel-product-card-block .description blockquote p::before, 
.travel-product-card-block .description blockquote p::after {
    content: none;
}

.travel-product-card-block .description blockquote a {
    color: var(--secondary);
}

.travel-product-card-block .description blockquote a:hover,
.travel-product-card-block .description blockquote a:focus,
.travel-product-card-block .description blockquote a:active {
    color: var(--secondaryhover);
}

.travel-product-card-block .related-items {
    margin-bottom: 3rem;
}

.travel-product-card-block .product-list .view-also {
    margin-bottom: 0 !important;
}

.travel-product-card-block .fullwidth-section .divider {
    display: none;
}

.travel-product-card-block .social-btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.travel-product-card-block .product-badge-wrapper .display-badge-wrapper {
    top: 8px !important;
    left: 8px !important;
}

/*.fb-page-plugin-bg-img-block*/
.fb-page-plugin-bg-img-block .social-icons {
    display: flex;
    justify-content: center;
}

.fb-page-plugin-bg-img-block .social-item a.social-item-link {
    color: var(--white) !important;
    display: flex;
    width: 42px;
    height: 42px;
    align-items: center;
    justify-content: center;
}

/*.travel-new-reservation-block*/
.travel-new-reservation-block .actions .btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

/*travel-breadcrumb-block*/
.travel-breadcrumb-block,
.travel-intra-list-block .breadcrumb-block {
    background: transparent !important;
}

/*megaheader-block*/
.megaheader-block .mainheader-upper {
    position: relative;
}

.megaheader-block .svg-logo {
    border-radius: 0;
    /*position: absolute;
    top: 0;*/
    width: 250px;
}

.megaheader-block .megaheader-item-wrapper {
    background: rgba(255, 255, 255, .35);
    backdrop-filter: blur(10px);
    border-radius: 50px;
    padding: 5px 10px;
    width: fit-content;
    float: right;
    margin-bottom: 10px;
}

@media screen and (min-width: 992px) {
.megaheader-block .mainmenu-list ul {
    margin-bottom: 0;
    background: rgba(255, 255, 255, .35);
    backdrop-filter: blur(10px);
    border-radius: 50px;
    padding: 5px 10px;
}

.megaheader-block .mainmenu-list ul ul {
    background: rgba(255, 255, 255, 1);
    border-radius: 2rem;
}
}

.megaheader-block .mainmenu-list-item-link {
    font-size: 1.3rem;
    /*text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);*/
    font-family: "Chelsea Market", system-ui;
}

/*.megaheader-block .subheader-bg,
.megaheader-block .megaheader-item-link.profile-toggle-mobile-desktop,
.megaheader-block.megaheader-travel .mainmenu-list-item:last-child::before {
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
}*/

.megaheader-block .svg-logo {
    clip-path: none;
}

.megaheader-block.megaheader-travel .mainmenu-list-item:last-child {
    padding: 0.7rem 1.3rem !important;
}

.megaheader-block .megaheader-dropdown-btn,
.megaheader-block .megaheader-item-alt {
    font-size: 1rem !important;
}

.megaheader-block .js-currency-toggle,
.megaheader-block .js-options-toggle {
    display: none !important;
}

.megaheader-block .lang-item {
    display: flex;
}

/*.megaheader-block .mainmenu-list ul::after {
    content: '';
    background-image: url(../images/kolilogobluergb_244.png);
    background-position: center;
    background-repeat: no-repeat;
    width: 103px;
    height: 64px;
    position: absolute;
    margin-left: 40px;
    margin-top: -6px;
}*/

.megaheader-block .mainmenu-list ul ul::after {
    content: none;
}

.mainmenu-list-item-dropdown button.dropdown-toggle::after {
    color: var(--dark) !important;
}

.megaheader-block .megaheader-item-icon.fa-tiktok {
    width: 18px;
    height: 18px;
    filter: brightness(0);
}

.megaheader-block .menu-bg {
    z-index: 1;
    position: relative;
}

.megaheader-block .subheader-bg {
    z-index: 2;
    position: relative;
}

/*.travel-article-single-block*/
.travel-article-single-block .hero-container {
    padding: 15px 0 0 0 !important;
}

.travel-article-single-block .hero-container {
    min-height: 700px !important;
}

.travel-article-single-block .fa-twitter::before {
    background-color: var(--white);
}

/*subpage dividers
.travel-article-single-block .article-single-hero-container-divider,
.travel-product-card-block .hero-container-divider.divider {
    position: absolute;
    bottom: 0;
    width: 100%;
}

.travel-article-single-block .article-single-hero-container-divider::after,
.travel-product-card-block .hero-container-divider.divider::after {
    content: '';
    position: absolute;
    right: 0;
    left: 0;
    bottom: 0;
    display: block;
    padding-top: 11.2109375%;
    background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 2560 287' style='enable-background:new 0 0 2560 287;' xml:space='preserve'%3E%3Cg%3E%3Cpath style='fill:%23FFFFFF;' d='M0,135.1v9.7c279.3,54,657.1,87.1,1073,87.1c698.7,0,1289.9-93.4,1487-222.1V0 c-197.1,128.7-788.3,222.2-1487,222.2C657.1,222.2,279.3,189,0,135.1z'/%3E%3Cpath style='fill:%23FFFFFF;' d='M0,154.7V287h2560V19.6c-197.1,128.7-788.3,222.1-1487,222.1C657.1,241.8,279.3,208.7,0,154.7z'/%3E%3C/g%3E%3C/svg%3E%0A");    
    background-repeat: no-repeat;
}*/

/*travel-cabin-list-highlights-block*/
.travel-cabin-list-highlights-block .info.font-weight-bold {
    font-size: 1.3rem;
}

.hide-pricerow .travel-cabin-list-highlights-block .text-wrapper .row {
    display: none;
}

/*.travel-cabin-list-highlights-block .btn-primary {
    background-color: var(--white) !important;
    border-color: var(--white) !important;
    color: var(--primary) !important;
    outline: 4px solid var(--white);
}
    
.travel-cabin-list-highlights-block .btn-primary:hover,
.travel-cabin-list-highlights-block .btn-primary:focus,
.travel-cabin-list-highlights-block .btn-primary:active {
    background-color: transparent !important;
    border-color: transparent !important;
    color: var(--white) !important;
}*/

/*travel-main-slider*/
.travel-main-slider .image-wrapper img {
    max-width: 75px;
}

.travel-main-slider .item-contents {
    background: rgba(255, 255, 255, .35);
    backdrop-filter: blur(10px);
    border-radius: 50px;
    padding: 1.5rem;
    color: var(--dark) !important;
}

/*.cta-bg-block*/
.isFrontPage .cta-bg-block {
    display: none;
}

/*.highlightbox-multiple-block*/
.highlightbox-multiple-block .item {
    background: transparent !important;
}

/*.travel-text-image-video-block*/
.round-0.mb-0 .travel-text-image-video-block, 
.round-0.mb-0 .travel-text-image-video-block img {
    padding-bottom: 0;
    border-radius: 0;
}

/*travel-profile-card*/
.travel-profile-card .nav-link.active {
    background-color: var(--primary) !important;
}

.travel-profile-card .nav-link:hover {
    background-color: var(--secondary) !important;
}

/*travel-main-footer-block*/
.travel-main-footer-block {
    position: relative;
}

.travel-main-footer-block .footer-logos {
    background: var(--white);
    display: block;
}

.travel-main-footer-block .footer-logos .footer-logo-item {
    display: inline-block;
}

.travel-main-footer-block .footer-logos img {
    margin-bottom: 10px;
    margin-top: 10px;
    margin-right: 20px;
    margin-left: 20px;
    max-height: 70px;
    clip-path: none;
}

.travel-main-footer-block .cookie-settings {
    z-index: 10;
}

.travel-main-footer-block .subfooter-content .social-column {
    display: flex;
    justify-content: center;
    align-items: center;
}

.travel-main-footer-block .social-item {
    width: 42px;
    height: 42px;
}

.travel-main-footer-block .social-item i {
    font-size: 2rem !important;
    width: 34px !important;
}

/*.travel-main-footer-block::before {
    content: '';
    position: relative;
    right: 0;
    left: 0;
    top: auto;
    bottom: calc(100% - 1px);
    z-index: 10;
    display: block;
    padding-top: 19.140625%;
    background-image: url(../images/viiri-2560-pieni-2-green.svg);
    background-repeat: no-repeat;
}*/

/*.logo-mosaic-slider-block*/
.logo-mosaic-slider-block .row {
    max-width: 800px;
    margin: 0 auto;
}

/*image-text-mosaic-block*/
/*.image-text-mosaic-block .image-content img {
    max-height: 550px;
}*/

/*.image-text-mosaic-block .bg-light {
    background-color: var(--primary) !important;
    color: var(--white);
}

.image-text-mosaic-block .bg-light .btn-primary {
    background-color: var(--secondary) !important;
    border-color: var(--secondary) !important;
    color: var(--white) !important;
}

.image-text-mosaic-block .bg-light .btn-primary:hover,
.image-text-mosaic-block .bg-light .btn-primary:focus,
.image-text-mosaic-block .bg-light .btn-primary:active {
    background-color: var(--secondaryhover) !important;
    border-color: var(--secondaryhover) !important;
}*/

/*travel-breadcrumb-block*/
.travel-breadcrumb-block,
.travel-intra-list-block .breadcrumb-block,
.travel-intra-item-block .breadcrumb-block {
    background: transparent !important;
}

/*travel-profile-card*/
.travel-profile-card .nav-link.active {
    background-color: var(--primary) !important;
}

.travel-order-feedback-button {
    margin: 8px !important;
}

/*travel-image-video-collage-block*/
.travel-image-video-collage-block .hero-video-wrapper {
    border-radius: 1rem;
    overflow: hidden;
}

.travel-image-video-collage-block .hero-video-wrapper .hero-video {
    width: 100%;
    height: auto;
    opacity: 1;
}

.travel-image-video-collage-block .hero-video-wrapper .hero-video-holder {
    height: 638px;
}

/*block-travelOrderFeedbackFailure, 
block-travelOrderFeedbackSuccess, 
block-travelPaymentFeedbackSuccess, 
block-travelPaymentFeedbackFailure, 
block-travelFeedbackOfferRequestSent*/
.block-travelOrderFeedbackFailure .travel-order-feedback-wrapper,
.block-travelOrderFeedbackSuccess .travel-order-feedback-wrapper,
.block-travelPaymentFeedbackSuccess .travel-order-feedback-wrapper,
.block-travelPaymentFeedbackFailure .travel-order-feedback-wrapper,
.block-travelFeedbackOfferRequestSent .travel-order-feedback-wrapper {
    background-color: transparent;
}

/*management views*/
body.admin.travel.page-id-35 .block-megaHeader .megaheader-block.transparent-header .svg-logo, 
body.admin.travel.page-id-39 .block-megaHeader .megaheader-block.transparent-header .svg-logo, 
body.admin.travel.page-id-40 .block-megaHeader .megaheader-block.transparent-header .svg-logo, 
body.admin.travel.page-id-59 .block-megaHeader .megaheader-block.transparent-header .svg-logo, 
body.admin.travel.page-id-60 .block-megaHeader .megaheader-block.transparent-header .svg-logo, 
body.admin.travel.page-id-41 .block-megaHeader .megaheader-block.transparent-header .svg-logo, 
body.admin.travel.page-id-60 .block-megaHeader .megaheader-block.transparent-header .svg-logo {
    width: 80px;
}

/*.fb-page-plugin-block*/
.fb-page-plugin-block .bg-dark {
    background: transparent !important;
    color: var(--dark) !important;
}

.fb-page-plugin-block .text-light {
    color: var(--dark) !important;
}

.fb-page-plugin-block .social-icons {
    display: flex;
    justify-content: center;
    align-items: center;
}

.fb-page-plugin-block .social-item {
    width: 52px;
    height: 42px;
}

.fb-page-plugin-block .fa-tiktok {
    filter: brightness(0);
}

@media (min-width: 576px) {

    .travel-hero-image-search-block .booking-form.d-none.d-sm-block {
        display: none !important;
    }

}

@media (min-width: 992px) {

    .travel-hero-image-search-block .booking-form.d-none.d-sm-block {
        display: block !important;
    }

    .travel-hero-image-search-block .booking-form .d-sm-none {
        display: none!important;
    }

}

@media (max-width: 1599px) {

    .megaheader-block .svg-logo {
        width: 200px !important;
    }

    .megaheader-block .mainmenu-list-item {
        padding: 15px 4px !important;
    }

    .megaheader-block .mainmenu-list-item-link {
        font-size: 1.1rem !important;
    }

    .megaheader-block .mainmenu-list ul {
        padding-left: 5px;
    }

}

@media (max-width: 1399px) {

    .travel-image-video-collage-block .hero-video-wrapper .hero-video-holder {
        height: 579px;
    }

}

@media (max-width: 1279px) {

    /*.megaheader-block .mainmenu-list::before {
        content: '';
        background-image: url(../images/kolilogobluergb_244.png);
        background-position: center;
        background-repeat: no-repeat;
        width: 103px;
        height: 64px;
        position: absolute;
        margin-right: 0;
        right: 0;
        top: 0;
    }

    .megaheader-block .mainmenu-list ul::after {
        background-image: none;
    }

    .megaheader-block .mainmenu-list {
        padding: 60px 0 20px 0px;
    }*/

    .travel-image-video-collage-block .hero-video-wrapper .hero-video-holder {
        height: 540px;
    }

}

@media (max-width: 1199px) {

    /*.megaheader-block .mainmenu-list::before {
        top: 30px;
    }

    .megaheader-block .mainmenu-list {
        padding: 70px 0 15px 0;
        width: 100vw;
        text-align: right;
    }*/

    .travel-subpage-hero-img-block .item {
        align-items: flex-end !important;
    }

    .travel-main-footer-block::before {
        padding-top: 29.71497877501516%;
        background-image: url(../images/viiri-2560-pieni-2-mobile-green.svg);
    }

    .travel-image-video-collage-block .hero-video-wrapper .hero-video-holder {
        height: 452px;
    }

    .travel-subpage-hero-img-block .parallax .item-image {
        position: absolute;
    }

    .megaheader-block .svg-logo {
        width: 190px !important;
    }

    .megaheader-block.transparent-header .menu-bg .container-fluid {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

    .megaheader-block .mainmenu-list-item-link {
        font-size: 1rem !important;
    }

    .megaheader-block.megaheader-travel .mainmenu-list-item:last-child {
        padding: 0.7rem 1rem !important;
    }
    
}

@media (max-width: 1024px) {

    .travel-subpage-hero-img-block .item {
        min-height: 500px !important;
    }

    .travel-article-single-block .hero-container {
        min-height: 500px !important;
    }

    .travel-hero-image-search-block .content {
        padding-top: 240px;
    }

}

@media (max-width: 991px) {

    .travel-hero-image-search-block .booking-form.d-sm-none {
        display: block!important;
    }

    .megaheader-block .svg-logo {
        width: 180px !important;
    }

    .travel .travel-hero-image-search-block .form-control {
        border: 1px solid #cbcaca;
        border-radius: 2rem !important;
        padding: 0.5rem 1rem;
    }

    .megaheader-block .mainmenu-list, .megaheader-block .mainmenu-list-alt {
        background: var(--primary) !important;
    }

    .image-text-mosaic-block .image-content-item:nth-child(even) img,
    .image-text-mosaic-block .image-content-item:nth-child(odd) img {
        border-top-right-radius: 1rem;
        border-top-left-radius: 1rem;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    .travel-testimonial-mosaic-slider-block.slider-view .travel-testimonial-mosaic-slider-item-star-rating {
        font-size: 2rem !important;
    }

    .travel-testimonial-mosaic-slider-block.slider-view .slick-slide {
        padding: 1rem 2rem !important;
    }

    .megaheader-block.megaheader-travel .mainmenu-list-item:last-child {
        padding: 15px 5px !important;
    }

    /*.megaheader-block .mainmenu-mobile-toggle::before {
        content: '';
        background-image: url(../images/kolilogobluergb_244.png);
        background-position: center;
        background-repeat: no-repeat;
        width: 103px;
        height: 64px;
        position: absolute;
        margin-right: 70px;
        margin-top: -20px;
        right: 0;
    }*/

    .megaheader-block .mainmenu-list::before {
        background-image: none;
    }

    .megaheader-block .mainmenu-list {
        padding: 30px 0 15px 0px;
    }

    .travel-subpage-hero-img-block .item {
        align-items: center !important;
    }

    .travel-subpage-hero-img-block .text-box {
        max-width: 100% !important;
    }

    .travel-image-video-collage-block .hero-video-wrapper .hero-video-holder,
    .travel-image-video-collage-block .hero-video-wrapper .hero-video {
        display: inline-block !important;
    }

    .travel-image-video-collage-block .hero-video-wrapper .main-hero-image-container {
        display: none !important; 
    }

    .travel-image-video-collage-block .hero-video-wrapper .hero-video-holder {
        height: 330px !important;
    }

    .megaheader-block .mainmenu-list a {
        color: var(--white) !important;
    }

}

@media (max-width: 767px) {

    .travel-hero-image-search-block .main-container.bg-img-narrow {
        min-height: 550px !important;
    }

    .travel-hero-image-search-block .main-container {
        min-height: 400px;
    }

    .travel-subpage-hero-img-block .item {
        height: 500px !important;
    }

    .travel-product-card-block .hero-container {
        min-height: 500px !important;
    }

    .travel-article-single-block .hero-container {
        min-height: 500px !important;
    }

    .travel-image-video-collage-block .hero-video-wrapper {
        margin-bottom: 2rem;
    }

    .travel-image-video-collage-block .hero-video-wrapper .hero-video-holder {
        width: 100% !important;
        height: 540px !important;
    }

}

@media (max-width: 640px) {

    .travel-main-slider .item-contents {
        margin-top: 200px;
    }

    .travel-main-slider .item-title {
        font-size: 2rem !important;
    }

}

@media (max-width: 575px) {

    .travel-hero-image-search-block .form-control {
        border-radius: 0 !important;
    }

    .travel-subpage-hero-img-block .item {
        min-height: 250px;
        padding: 50px 30px;
    }

    .travel-subpage-hero-img-block .item {
        min-height: 250px !important;
    }

    .travel-subpage-hero-img-block .item {
        padding: 30px 15px !important;
    }

    .travel-hero-image-search-block .main-container.bg-img-narrow {
        min-height: 250px !important;
    }

}

@media (max-width: 480px) {

    .travel-hero-image-search-block .main-container {
        min-height: 350px;
    }

    .megaheader-block .subheader-bg {
        padding-top: 0;
    }

}

@media (max-width: 479px) {

    .image-carousel-thumb-img {
        display: none !important;
    }

    .travel-testimonial-mosaic-slider-block.slider-view .slick-slide {
        padding: 1rem !important;
    }

    .travel-hero-image-search-block .main-container {
        min-height: 300px;
    }

    .megaheader-block .mainmenu-mobile-toggle::before {
        background-size: 80px;
    }

    .megaheader-block .mainheader-upper {
        padding: 0.5rem 0;
    }

}

@media (max-width: 425px) {

    .travel-hero-image-search-block .h1 {
        font-size: 1.5rem;
    }

}

@media screen and (max-width: 375px) {

    .megaheader-block .mainmenu-logo-wrapper img.mainmenu-logo-img {
        width: 120px !important;
    }

}

/* Testattava ja siirrettävä pohjaan */
.travel-booking-management-block .multi-calendar-view .info-popup {
    transform: translateX(-50%) translateY(-110%) !important;
}